Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Network status applet
Name:		gnome-netstatus
Version:	2.26.0
Release:	1
URL:		http://www.gnome.org
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus/2.11/%{name}-%{version}.tar.bz2
License:	GNU/GPL
Group:		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-root

Prereq:			gtk2+
Requires:		gtk2+
Requires:		libglade
Requires(pre):		GConf
Requires(preun):	GConf
Requires(post):		GConf

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-panel-libs
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel

%description
gnome-netstatus is an applet which provides information about a
network interface on your panel.

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/netstatus.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/netstatus.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/netstatus.schemas > /dev/null || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--disable-scrollkeeper \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/gnome-netstatus \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{name} --with-gnome

# re-do the symlinks
for doc_lang in de es fr it ja ko sv zh_CN zh_HK zh_TW; do
  if [ -d $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-netstatus/${doc_lang}/figures ]; then
    cd $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-netstatus/${doc_lang}/figures
    for icon in *.png; do
      rm -f ${icon}
      ln -sf %{_datadir}/icons/hicolor/48x48/apps/${icon} ${icon}
    done
  fi
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_datadir/gnome-2.0/ui/*.xml
%_datadir/gnome-netstatus
%_datadir/icons
%_libdir/bonobo/servers
%_libdir/gnome-netstatus
%_sysconfdir/gnome/gconf/schemas

%changelog
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.1-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.0-1
- Initial release
